description

# VRSession class Null safety

Inheritance
  - Object
  - EventTarget
  - VRSession
Annotations
  - @Native("VRSession")

## Properties

depthFar ↔ num?
  read / write
depthNear ↔ num?
  read / write
device → VRDevice?
  read-only
exclusive → bool?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onBlur → Stream<Event>
  read-only
onFocus → Stream<Event>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
end() → Future
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
requestFrameOfReference(String type, [Map? options]) → Future
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

blurEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('blur')`
focusEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('focus')`